Summary:        A Qt5 implementation of XDG standards for NDE Desktop
Name:           nde-qtxdg 
Version:        0.0.1
Release:        2%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  gcc, gcc-c++, cmake, nde-build-tools
BuildRequires:  qt5-qtbase-devel, qt5-qttools-devel, qt5-qtsvg-devel, qt5-qtbase-private-devel
BuildRequires:  file-devel
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}
Requires:       xdg-user-dirs
Requires:       xdg-utils



%description
%{summary}.

%package devel
Summary:        Qt - development files for qtxdg
Requires:       %{name} = %{version}-%{release}

%description devel
Files used for developing and building software that uses qtxdg.



%prep
%setup -q



%build
%cmake
%cmake_build



%install
%cmake_install



%files
%license COPYING
%doc AUTHORS
%{_libdir}/libQt5Xdg.so.3*
%{_libdir}/libQt5XdgIconLoader.so.3*

%files devel
%{_libdir}/libQt5Xdg.so
%{_libdir}/libQt5XdgIconLoader.so
%{_libdir}/pkgconfig/Qt5Xdg.pc
%{_libdir}/pkgconfig/Qt5XdgIconLoader.pc
%{_qt5_archdatadir}/plugins/iconengines/libQt5XdgIconPlugin.so
%{_includedir}/qt5xdg/
%{_includedir}/qt5xdgiconloader/
%{_datadir}/cmake/qt5xdg/
%{_datadir}/cmake/qt5xdgiconloader/



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-2
- small fix

* Tue May 12 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)


